Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057475 - [abrt] gnucash: strstr(): gnucash killed by SIGSEGV
Summary: [abrt] gnucash: strstr(): gnucash killed by SIGSEGV
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnucash
Version: 20
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:eb145aeee20b307ce7ec98a9611...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-24 08:22 UTC by Vaso VV
Modified: 2014-03-17 03:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-14 07:26:04 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-24 08:22 UTC, Vaso VV
no flags Details
File: cgroup (deleted)
2014-01-24 08:22 UTC, Vaso VV
no flags Details
File: core_backtrace (deleted)
2014-01-24 08:22 UTC, Vaso VV
no flags Details
File: dso_list (deleted)
2014-01-24 08:22 UTC, Vaso VV
no flags Details
File: environ (deleted)
2014-01-24 08:22 UTC, Vaso VV
no flags Details
File: limits (deleted)
2014-01-24 08:22 UTC, Vaso VV
no flags Details
File: maps (deleted)
2014-01-24 08:22 UTC, Vaso VV
no flags Details
File: open_fds (deleted)
2014-01-24 08:22 UTC, Vaso VV
no flags Details
File: proc_pid_status (deleted)
2014-01-24 08:22 UTC, Vaso VV
no flags Details
File: var_log_messages (deleted)
2014-01-24 08:22 UTC, Vaso VV
no flags Details
File: exploitable (deleted)
2014-01-24 08:22 UTC, Vaso VV
no flags Details

Description Vaso VV 2014-01-24 08:22:12 UTC
Description of problem:
Gnucash crushed when I try to duplicate any transaction from "Search results" tab in one of the asset account.
This is first run of old xml file (over 8Mb uncompressed) of 2.4 version.

Version-Release number of selected component:
gnucash-2.6.0-2.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/bin/gnucash
crash_function: strstr
executable:     /usr/bin/gnucash
kernel:         3.12.7-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1002

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strstr at ../string/strstr.c:63
 #1 qof_utf8_substr_nocase at qofutil.c:71
 #2 string_match_predicate at qofquerycore.c:154
 #3 check_object at qofquery.c:389
 #4 check_item_cb at qofquery.c:564
 #5 g_list_foreach at glist.c:949
 #6 qof_collection_foreach at qofid.c:353
 #7 qof_query_run_cb at qofquery.c:828
 #8 qof_query_run_internal at qofquery.c:745
 #9 qof_query_run at qofquery.c:836

Comment 1 Vaso VV 2014-01-24 08:22:17 UTC
Created attachment 854841 [details]
File: backtrace

Comment 2 Vaso VV 2014-01-24 08:22:20 UTC
Created attachment 854842 [details]
File: cgroup

Comment 3 Vaso VV 2014-01-24 08:22:22 UTC
Created attachment 854843 [details]
File: core_backtrace

Comment 4 Vaso VV 2014-01-24 08:22:24 UTC
Created attachment 854844 [details]
File: dso_list

Comment 5 Vaso VV 2014-01-24 08:22:26 UTC
Created attachment 854845 [details]
File: environ

Comment 6 Vaso VV 2014-01-24 08:22:28 UTC
Created attachment 854846 [details]
File: limits

Comment 7 Vaso VV 2014-01-24 08:22:31 UTC
Created attachment 854847 [details]
File: maps

Comment 8 Vaso VV 2014-01-24 08:22:33 UTC
Created attachment 854848 [details]
File: open_fds

Comment 9 Vaso VV 2014-01-24 08:22:35 UTC
Created attachment 854849 [details]
File: proc_pid_status

Comment 10 Vaso VV 2014-01-24 08:22:40 UTC
Created attachment 854850 [details]
File: var_log_messages

Comment 11 Vaso VV 2014-01-24 08:22:43 UTC
Created attachment 854851 [details]
File: exploitable

Comment 12 Bill Nottingham 2014-01-28 14:27:45 UTC
Can you try this with 2.6.1-1, which should be in updates-testing later today or tomorrow?

Comment 13 Vaso VV 2014-02-14 07:26:04 UTC
2.6.1-1.fc20.x86_64 works good


Note You need to log in before you can comment on or make changes to this bug.